#ifndef CCLOCK_H
#define CCLOCK_H

#include <stdio.h>
#include <signal.h>
#include <string.h>
#include <termio.h>
#include <fcntl.h>
#include <time.h>

#define TRUE 0
#define FALSE 1

const char *VERSION = "0.96";
unsigned int shutdown = FALSE, refresh_screen = TRUE, no_color = FALSE, cols = 0, rows = 0, gmt = FALSE, update_time = 100;
extern char *optarg;

void screen_init();
void check_screen();
void print_digit_frame(const char *, unsigned int *, unsigned int *);
void print_digit(const char, unsigned int, unsigned int);
void print_time(const char *, char *);
void print_date(const char *, char *);
void handle_screen_change(int);
unsigned int start_clock();
void handle_quit_signal(int);
int main(int, char *[]);

#endif

